3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php function is32Bit() { // This is for max compatibility: // PHP_INT_MAX doesn't exist in PHP4 // current() *requires* a reference in PHP <5.1.0 (except 4.4.1, dafuq) $test = unpack('N', "\xFF\xFF\xFF\xFF"); return current($test) === -1; } var_dump(is32Bit());
Output for 4.3.0 - 5.2.0, 5.2.10 - 7.1.0
bool(false)
Output for 5.2.1 - 5.2.9
bool(true)